#!/bin/sh

appName='simimcadr'

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  cat <<EOF
Usage: control.sh [P [I [P_IMCAADADSC [R_IMCAADADSC [P_IMCAADPILATUS
         [R_IMCAADPILATUS]]]]]]
Parameters:
  P                PV prefix (default: "x7idb:")
  I                Imcais identifier (default: "Is")
  P_IMCAADADSC     PV prefix for imcaadadsc IOC (default: "x7ADSC1:")
  R_IMCAADADSC     Detector for imcaadadsc IOC (default: "det1:")
  P_IMCAADPILATUS  PV prefix for imcaadpilatus IOC (default: "x7PIL1:")
  R_IMCAADPILATUS  Detector for imcaadpilatus IOC (default: "det1:")
Example: control.sh
Example: control.sh ioc23: Is2 18ADSC: det2:
Example: control.sh ioc23: Is2 18ADSC: det2: 18PIL: det3:
EOF
  exit 0
fi

P='x7idb:'
if [ "X$1" != 'X' ]; then P="$1"; fi
I='Is'
if [ "X$2" != 'X' ]; then I="$2"; fi
P_IMCAADADSC='x7ADSC1:'
if [ "X$3" != 'X' ]; then P_IMCAADADSC="$3"; fi
R_IMCAADADSC='det1:'
if [ "X$4" != 'X' ]; then R_IMCAADADSC="$4"; fi
P_IMCAADPILATUS='x7PIL1:'
if [ "X$5" != 'X' ]; then P_IMCAADPILATUS="$5"; fi
R_IMCAADPILATUS='det1:'
if [ "X$6" != 'X' ]; then R_IMCAADPILATUS="$6"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Error: failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Error: failed to get current working directory.' 1>&2
  exit 1
fi

cd "../${appName}App/op/adl"
if [ $? -ne 0 ]; then
  printf 'Error: failed to cd to ' 1>&2
  echo "\"$thisScriptHome/../${appName}App/op/adl\"." 1>&2
  exit 1
fi

imcaadadscHome=`\
  egrep '^IMCAADADSC=' "$thisScriptHome/../configure/RELEASE" | \
  sed -e 's!^IMCAADADSC=!!'`
if [ 'X' != "X$imcaadadscHome" ]; then
  imcaadadscAdlHome="$imcaadadscHome/imcaadadscApp/op/adl"
  export EPICS_DISPLAY_PATH="$EPICS_DISPLAY_PATH:$imcaadadscAdlHome"
fi

imcaadpilatusHome=`\
  egrep '^IMCAADPILATUS=' "$thisScriptHome/../configure/RELEASE" | \
  sed -e 's!^IMCAADPILATUS=!!'`
if [ 'X' != "X$imcaadpilatusHome" ]; then
  imcaadpilatusAdlHome="$imcaadpilatusHome/imcaadpilatusApp/op/adl"
  export EPICS_DISPLAY_PATH="$EPICS_DISPLAY_PATH:$imcaadpilatusAdlHome"
fi

macroValue="P=$P,I=$I,P_IMCAADADSC=$P_IMCAADADSC,R_IMCAADADSC=$R_IMCAADADSC,"
macroValue="${macroValue}P_IMCAADPILATUS=$P_IMCAADPILATUS,R_IMCAADPILATUS="
macroValue="${macroValue}$R_IMCAADPILATUS"
exec medm -x -macro "$macroValue" ./"${appName}.adl"
